package guestbook;

public class Page {
	 int intPageSize; //一页显示的记录数 
	  int intRowCount; //记录总数 
	  int intPageCount; //总页数 
	  int intPage; //待显示页码 
	  String  strPage; 
	  int i; 
	  public void page()
	  {
		  intPageSize = 2; 

		//取得待显示页码 
		//strPage = request.getParameter("page"); 
		if(strPage==null){//表明在QueryString中没有page这一个参数，此时显示第一页数据 
		  intPage = 1; 
		  } else{//将字符串转换成整型 
		intPage = java.lang.Integer.parseInt(strPage); 
		if(intPage< 1) intPage = 1; 
		} 
		//获取记录总数 
		//Rs.last(); 
		//intRowCount = Rs.getRow(); 
		//记算总页数 
		intPageCount = (intRowCount+intPageSize-1) / intPageSize; 
		//调整待显示的页码 
		if(intPage >intPageCount) intPage = intPageCount; 
		if(intPageCount >0){ 
		//将记录指针定位到待显示页的第一条记录上 
		//Rs.absolute((intPage-1) * intPageSize+1); 
		//显示数据 
	  }
	  }

}
